> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roark.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get scenario by ID

> Returns a specific simulation scenario by its ID.



## OpenAPI

````yaml /api-reference/openapi.documented.json get /v1/simulation/scenario/{scenarioId}
openapi: 3.1.0
info:
  title: Roark Analytics API
  description: >-
    The Roark Analytics API gives you access to the same API that powers the
    award winning Roark Analytics platform.
  version: 1.0.0
servers:
  - description: Production
    url: https://api.roark.ai
security:
  - Bearer: []
tags:
  - name: Agent
  - name: Agent Endpoint
  - name: Call
  - name: Chat
  - name: Metric
  - name: Metric Policy
  - name: Metric Collection Job
  - name: Simulation Persona
  - name: Simulation Scenario
  - name: Simulation Run Plan
  - name: Simulation Run Plan Job
  - name: Simulation Job
  - name: HTTP Request Definition
  - name: Webhook
  - name: Issue
  - name: Knowledge Base
  - name: Call Analysis
  - name: Health
paths:
  /v1/simulation/scenario/{scenarioId}:
    get:
      tags:
        - Simulation Scenario
      summary: Get scenario by ID
      description: Returns a specific simulation scenario by its ID.
      operationId: getV1SimulationScenarioByScenarioId
      parameters:
        - name: scenarioId
          in: path
          required: true
          description: The ID of the scenario to retrieve
          schema:
            type: string
      responses:
        '200':
          description: The requested scenario
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        description: Unique identifier of the scenario
                      name:
                        type:
                          - string
                          - 'null'
                        description: Name of the scenario (from the start node content)
                      description:
                        type:
                          - string
                          - 'null'
                        description: Description of the scenario
                      steps:
                        type: array
                        items:
                          type: object
                          properties:
                            nodeId:
                              type: string
                              format: uuid
                              description: >-
                                Unique identifier of the step node (use this for
                                update/delete operations)
                            type:
                              type: string
                              enum:
                                - START
                                - AGENT_TURN
                                - CUSTOMER_TURN
                                - CUSTOMER_FIRST_MESSAGE
                                - CUSTOMER_SILENCE
                                - CUSTOMER_DTMF
                                - VOICEMAIL
                                - SCENARIO_LINK
                              description: Type of step in the scenario
                            content:
                              type:
                                - string
                                - 'null'
                              description: Content/text of the step
                            linkedScenarioId:
                              type:
                                - string
                                - 'null'
                              format: uuid
                              description: >-
                                ID of the linked scenario (only for
                                SCENARIO_LINK type steps)
                            dtmfDigits:
                              type:
                                - string
                                - 'null'
                              description: >-
                                DTMF digits to send during this step (e.g.
                                1w2w3#). Valid characters: 0-9, *, #, w/W for
                                pauses.
                            silenceDurationSeconds:
                              type:
                                - integer
                                - 'null'
                              description: >-
                                Duration of silence in seconds (only for
                                CUSTOMER_SILENCE type steps)
                          required:
                            - nodeId
                            - type
                            - content
                        description: >-
                          Ordered list of steps in the scenario (excludes the
                          START node)
                      createdAt:
                        type: string
                        description: Creation timestamp in ISO 8601 format
                      updatedAt:
                        type: string
                        description: Last update timestamp in ISO 8601 format
                    required:
                      - id
                      - name
                      - description
                      - steps
                      - createdAt
                      - updatedAt
                required:
                  - data
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Authentication error
              example:
                type: authentication
                code: unauthorized
                message: Authentication required
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Not found error
              example:
                type: not_found
                code: resource_not_found
                message: The requested resource could not be found
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Server error
              example:
                type: internal
                code: internal_error
                message: Internal server error
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Roark from '@roarkanalytics/sdk';


            const client = new Roark({
              bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
            });


            const response = await
            client.simulationScenario.getByID('scenarioId');


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from roark_analytics import Roark

            client = Roark(
                bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"),  # This is the default and can be omitted
            )
            response = client.simulation_scenario.get_by_id(
                "scenarioId",
            )
            print(response.data)
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - validation
            - authentication
            - forbidden
            - not_found
            - conflict
            - rate_limit
            - internal
          description: The error type category
          examples:
            - validation
            - authentication
        code:
          type: string
          description: Machine-readable error code identifier
          examples:
            - invalid_parameter
            - missing_required_field
            - unauthorized
        message:
          type: string
          description: Human-readable error message
          examples:
            - The request was invalid
            - Authentication required
        param:
          type: string
          description: The parameter that caused the error (if applicable)
          examples:
            - email
            - user_id
        details:
          description: Additional error context information
      required:
        - type
        - code
        - message
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````